Bug 493204 - Anaconda Not Recognizing Existing Fedora 10 Install For Upgrade
Anaconda Not Recognizing Existing Fedora 10 Install For Upgrade
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-31 17:52 EDT by Devan Goodwin
Modified: 2009-04-02 21:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-01 13:12:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Devan Goodwin 2009-03-31 17:52:56 EDT
Description of problem:

Fedora 11 Beta ISO does not seem to recognize existing Fedora 10 system for an upgrade. (and tries to install fresh)

Version-Release number of selected component (if applicable):

Fedora 11 Beta DVD ISO (x86_64)

How reproducible:

100%

Steps to Reproduce:
1. Boot off ISO, select Install or Upgrade.
2. Walk through a few Anaconda screens until it becomes apparent we're heading for a fresh install, not an upgrade.
  
Actual results:

Landed at the partitioning screen with a default selection of "replace existing Linux system", saw no opportunity to specify an upgrade explicitly.

Expected results:

Upgrade existing install.


Additional info:

Mentioned quickly in #fedora-qa and was told it sounded like Anaconda didn't recognize my pre-existing install.

Not sure if this is because of how I do my disk partitions, my layout is something like this:

   Device Boot      Start         End      Blocks   Id  System
/dev/sda1   *           1          25      200781   83  Linux
/dev/sda2              26       77825   624928500   8e  Linux LVM

/dev/sda1 is mounted as /boot, and that LVM partition boils down to something like:

$ ls /dev/vg0
blerg2@  centos-client@  centossw@  fedora@  home@  lotus@  pgsql@  rawhide@  rhel5@  root@  swap@  ubuntu@  var@  xp@

Where only home, root, swap, and var are used by the host OS, the others are for KVM guests.

May not be able to test a fix if I get anxious and find another way to upgrade, but trying to hold off for now. :)
Comment 1 Chris Lumens 2009-04-01 10:49:08 EDT
Can you attach /tmp/anaconda.log and /tmp/storage.log to this bug report?  Please let anaconda run to the screens where it starts asking about timezone, root password, etc. as that will be after the existing installation detection.  Thanks.
Comment 2 Devan Goodwin 2009-04-01 11:43:44 EDT
Very sorry I went ahead with a fresh install. 

It's a little rocky and may not be sufficient for my needs though, if it gets bad I will re-install F10 tonight and can then re-test this and submit those files. 

Sorry!
Comment 3 Chris Lumens 2009-04-01 13:12:38 EDT
Feel free to reopen this bug if you do another upgrade and are able to reproduce this issue, then.
Comment 4 Devan Goodwin 2009-04-02 20:21:55 EDT
Bah, went back to Fedora 10, virtually identical partition layout, tried the ISO again, now it offers me a chance to upgrade. Not sure what the problem was.
Comment 5 David Lehman 2009-04-02 21:30:11 EDT
This may have been the udev timeout problem we've seen sporadically (bug 492049), which manifests as devices and filesystems not getting recognized.

Note You need to log in before you can comment on or make changes to this bug.